Bug 169834 - 2 * array subscript out of range
2 * array subscript out of range
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 05:46 EDT by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 12:38:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-10-04 05:46:20 EDT
Description of problem:
I just tried to compile Fedora development package
libtiff-3.7.4-1 with a non-standard GNU C compiler.

The compiler said

1.

tiffdump.c:152: warning: array subscript out of range

The source code is

	typemask[ord(TIFF_IFD)] = 0xffffffff;

but

long    typemask[13];           /* data type masks */

and

     TIFF_IFD        = 13    /* %32-bit unsigned integer (offset) */

so typemask[ 13] does not exist. Suggest code rework.

2.

tiffdump.c:160: warning: array subscript out of range

The source code is

	typeshift[ord(TIFF_IFD)] = 0;

and

int     typeshift[13];          /* data type shift counts */

so typeshift[ 13] doesn't exist.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2005-10-05 12:38:30 EDT
Filed upstream as http://bugzilla.remotesensing.org/show_bug.cgi?id=946

Note You need to log in before you can comment on or make changes to this bug.